
Efl_Core_Env *_efl_core_proc_env_self(void);

EAPI EAPI_WEAK Efl_Core_Env * efl_env_self(void)
{
   const Efl_Class *klass = efl_core_proc_env_class_get();
   EINA_SAFETY_ON_NULL_RETURN_VAL(klass,NULL);
   return _efl_core_proc_env_self();
}

void _efl_core_proc_env_efl_core_env_env_set(Eo *obj, Efl_Core_Proc_Env_Data *pd, const char *var, const char *value);


const char *_efl_core_proc_env_efl_core_env_env_get(const Eo *obj, Efl_Core_Proc_Env_Data *pd, const char *var);


Eina_Iterator *_efl_core_proc_env_efl_core_env_content_get(const Eo *obj, Efl_Core_Proc_Env_Data *pd);


void _efl_core_proc_env_efl_core_env_unset(Eo *obj, Efl_Core_Proc_Env_Data *pd, const char *var);


void _efl_core_proc_env_efl_core_env_clear(Eo *obj, Efl_Core_Proc_Env_Data *pd);


Efl_Duplicate *_efl_core_proc_env_efl_duplicate_duplicate(const Eo *obj, Efl_Core_Proc_Env_Data *pd);


Efl_Object *_efl_core_proc_env_efl_object_constructor(Eo *obj, Efl_Core_Proc_Env_Data *pd);


static Eina_Bool
_efl_core_proc_env_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CORE_PROC_ENV_EXTRA_OPS
#define EFL_CORE_PROC_ENV_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_core_env_set, _efl_core_proc_env_efl_core_env_env_set),
      EFL_OBJECT_OP_FUNC(efl_core_env_get, _efl_core_proc_env_efl_core_env_env_get),
      EFL_OBJECT_OP_FUNC(efl_core_env_content_get, _efl_core_proc_env_efl_core_env_content_get),
      EFL_OBJECT_OP_FUNC(efl_core_env_unset, _efl_core_proc_env_efl_core_env_unset),
      EFL_OBJECT_OP_FUNC(efl_core_env_clear, _efl_core_proc_env_efl_core_env_clear),
      EFL_OBJECT_OP_FUNC(efl_duplicate, _efl_core_proc_env_efl_duplicate_duplicate),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_core_proc_env_efl_object_constructor),
      EFL_CORE_PROC_ENV_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_core_proc_env_class_desc = {
   EO_VERSION,
   "Efl.Core.Proc_Env",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Core_Proc_Env_Data),
   _efl_core_proc_env_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_core_proc_env_class_get, &_efl_core_proc_env_class_desc, EFL_CORE_ENV_CLASS, NULL);
